import "./index.esm-0G7eAEV5.js";
import { t as _sfc_main$1 } from "./SecondaryButton-ub85RH3e.js";
import { A as _sfc_main$5, O as _sfc_main$4, S as _sfc_main$2, f as _sfc_main$3 } from "../ssr.js";
import { useForm } from "@inertiajs/vue3";
import { createTextVNode, toDisplayString, unref, useSSRContext, withCtx } from "vue";
import { ssrInterpolate, ssrRenderAttrs, ssrRenderComponent } from "vue/server-renderer";
//#region resources/js/Pages/Sma/Order/GiftCard/Topup.vue
var _sfc_main = {
	__name: "Topup",
	__ssrInlineRender: true,
	props: ["current"],
	emits: ["close", "done"],
	setup(__props, { emit: __emit }) {
		const props = __props;
		const emits = __emit;
		const form = useForm({
			amount: null,
			description: null,
			award_points: null,
			use_award_points: false,
			gift_card_id: props.current.id
		});
		const close = () => {
			form.reset();
			emits("close");
		};
		return (_ctx, _push, _parent, _attrs) => {
			_push(`<form${ssrRenderAttrs(_attrs)}><div class="border-b border-gray-200 px-6 py-4 dark:border-gray-700"><div class="sm:flex sm:items-baseline sm:justify-between"><div class="sm:w-0 sm:flex-1"><h1 class="text-focus text-base font-semibold">${ssrInterpolate(_ctx.$t("Topup Gift Card"))}</h1><p class="text-mute mt-1 truncate text-sm">${ssrInterpolate(_ctx.$t("Please fill the form below to {action} {record}.", {
				record: _ctx.$t("gift card"),
				action: _ctx.$t("add balance to")
			}))}</p></div></div></div><div class="grid grid-cols-6 gap-6 p-6"><div class="col-span-full">`);
			_push(ssrRenderComponent(unref(_sfc_main$2), {
				id: "amount",
				type: "number",
				label: _ctx.$t("Amount"),
				modelValue: unref(form).amount,
				"onUpdate:modelValue": ($event) => unref(form).amount = $event,
				error: unref(form).errors.amount
			}, null, _parent));
			_push(`</div><div class="col-span-full">`);
			_push(ssrRenderComponent(unref(_sfc_main$3), {
				label: _ctx.$t("Description"),
				modelValue: unref(form).description,
				"onUpdate:modelValue": ($event) => unref(form).description = $event,
				error: _ctx.$page.props.errors.description
			}, null, _parent));
			_push(`</div>`);
			if (_ctx.$page.props.settings.loyalty?.customer?.spent && _ctx.$page.props.settings.loyalty?.customer?.points && __props.current?.customer && __props.current.customer.points > 0) {
				_push(`<div class="col-span-full"><p class="mb-2 font-bold">${ssrInterpolate(__props.current?.customer.company || __props.current?.customer.name)}</p>`);
				_push(ssrRenderComponent(unref(_sfc_main$4), {
					label: _ctx.$t("Use Award Points"),
					checked: unref(form).use_award_points,
					"onUpdate:checked": ($event) => unref(form).use_award_points = $event,
					error: _ctx.$page.props.errors.use_award_points
				}, null, _parent));
				if (unref(form).use_award_points) {
					_push(`<div class="mt-6">`);
					_push(ssrRenderComponent(unref(_sfc_main$2), {
						min: 1,
						type: "number",
						id: "award_points",
						label: _ctx.$t("Award Points"),
						modelValue: unref(form).award_points,
						"onUpdate:modelValue": ($event) => unref(form).award_points = $event,
						max: __props.current?.customer.points,
						error: unref(form).errors.award_points
					}, null, _parent));
					_push(`<div class="mt-1 text-sm font-bold">${ssrInterpolate(_ctx.$t("Available Points"))}: ${ssrInterpolate(__props.current?.customer.points)}</div></div>`);
				} else _push(`<!---->`);
				_push(`</div>`);
			} else _push(`<!---->`);
			_push(`</div><div class="flex flex-row justify-end rounded-b-lg bg-gray-100 px-6 py-4 text-end dark:bg-gray-950">`);
			_push(ssrRenderComponent(unref(_sfc_main$1), { onClick: close }, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("Cancel"))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("Cancel")), 1)];
				}),
				_: 1
			}, _parent));
			_push(ssrRenderComponent(unref(_sfc_main$5), {
				class: "ms-3",
				loading: unref(form).processing
			}, {
				default: withCtx((_, _push, _parent, _scopeId) => {
					if (_push) _push(`${ssrInterpolate(_ctx.$t("Save"))}`);
					else return [createTextVNode(toDisplayString(_ctx.$t("Save")), 1)];
				}),
				_: 1
			}, _parent));
			_push(`</div></form>`);
		};
	}
};
var _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
	const ssrContext = useSSRContext();
	(ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Sma/Order/GiftCard/Topup.vue");
	return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
//#endregion
export { _sfc_main as default };
